
:root{

    --rojo:rgb(182, 22, 22);
    --rojo-shade:rgb(155, 22, 22);
    --rojo-super-shade: rgb(120, 22, 22);
    --ama:#ff7b00;
    --blan:rgb(255, 250, 250);
    --gris: rgb(39, 39, 39);
    /* --fondo: #3A2E39; */
    --fondo: rgb(244, 244, 244);

}

@font-face {
    font-family: "Poppins-title";
    src: url(Poppins/Poppins-BlackItalic.ttf);
}

@font-face {
    font-family: "Poppins";
    src: url(Poppins/Poppins-Light.ttf);
}

html{

    scroll-behavior: smooth;

}

body{

margin:0;
padding: 0;
font-family: "Poppins";

}

#todo{

width: 100%;
display: flex;
flex-direction: column;
align-items: center;
background-color: var(--fondo);

}


#mini-logo{

position: absolute;
height: auto;
width: 200px;
top: 20px;
left: 20px;
z-index: 97;

}

#cont-texto-anim{

    position: absolute;
    top: 180px;
    width: 100%;
    color: var(--blan);
    z-index: 10;
    display: flex;
    flex-direction: column;
    align-items: center;
    font-size: 1.5em;

}

#cont-texto-anim h3{

    margin: 0;
    margin-top: 20px;
    font-weight: 200;

}

#texto-anim{

    font-family: "Poppins-title";

}

#boton-texto-anim{

    margin-top: 20px;
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: center;
    padding: 1rem 2rem;
    background-color: var(--rojo);
    text-decoration: none;
    color: var(--blan);
    border-radius: 5px;
    font-size: 0.7em;
    transition: all 0.3s ease-in-out;

}

#boton-texto-anim:hover{

    background-color: var(--ama);
    transform: scale(110%);

}

#hero-container{

margin-top: 80px;
position: relative;
height: 580px;
width: 100%;
/* background-color: black; */

}

#imagenes{

    position: relative;
    display: flex;
    flex-direction: row;
    height: 100%;
    width: 100%;
    overflow: hidden;

}

#slider-filter{

position: absolute;    
top: 0;
width: 100%;
height: 100%;
background-color: rgba(0, 0, 0, 0.55);

}

.slider-img{

position: absolute;
left: 0px;
height: 100%;
width: 100vw;
background-size: cover;
background-position: center;
background-repeat: no-repeat;
transition: all 1s ease-in-out;

}

#slider-barras{

    position: absolute;
    bottom: 0px;
    width: 100%;
    height: 35px;
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 3%;

}

.slider-barra{

height: 3px;
width: 5%;
background-color: var(--blan);
border-radius: 3px;
transition: all 0.3s ease-in;

}

.slider-barra:hover{

    cursor: pointer;

}

#boton-left-slider{
    left: 25px;
}
#boton-right-slider{
    right: 25px;
}

.boton-slider{

    position: absolute;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    height: 50px;
    width: 50px;
    background-color: var(--blan);
    z-index: 11;
    border-radius: 50%;
    transition: all 0.3s ease-in-out;
    color: #000000;
    bottom: 280px;

}

.boton-slider:hover{

    cursor: pointer;
    color: var(--blan);
    background-color: var(--gris);

}


#servicios{

height: 700px;
width: 90%;
margin: 76px 0;

}

#Mant{

    display: flex;
    flex-direction: column;
    align-items: center;
    height: auto;
    padding: 3rem 0;
    width: 100%;
    border-radius: 5px;
    background: var(--blan);
    border: 1px solid darkgray;
    text-align: center;
    text-size-adjust: 50%;

}

#Mant-cont{

display: flex;
flex-direction: row;
height: 100%;

}

#Mant-somos{

display: flex;
flex-direction: column;
align-items: center;
justify-content: center;
width: 50%;

}

.Mant-text{

    font-size: 0.9rem;
    width: 70%;

}

.boton-carrusel{

position: absolute;
display: flex;
flex-direction: column;
align-items: center;
justify-content: center;
height: 50px;
width: 50px;
background-color: var(--rojo);
z-index: 9;
border-radius: 50%;
transition: all 0.3s ease-in-out;
color: var(--blan);

}

#boton-left{

left: 10px;

}

#boton-right{

right: 10px;

}

.boton-carrusel:hover{

background-color: var(--ama);
cursor: pointer;

}

.product-item{

    width: 100%;

}

.product-img{

    border-radius: 5px;
    height: 100%;
    width: 100%;
    background-position: center;
    background-size: cover;

}

#Mant img{

width: clamp(200px,40%,270px);

height: auto;

margin-top: 20px;

}

#Mant h3{

    font-size: 1.5em;
    margin: 15px;

}

#Mant a{

    height: 60px;
    width: 200px;

}

#Mant-servicios{

    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    width: 50%;
    gap: 15px;

}

.btn{

    margin-top: 12px;
    display: flex;
    flex-direction: row;
    align-items: center;
    padding: 0.8rem;
    font-size: 0.9rem;
    border-radius: 5px;
    color: var(--blan);
    font-family: "Poppins";
    background-color: var(--rojo);
    border: 1px solid var(--rojo);
    transition: 0.3s;

}

.btn:hover{

    border: 1px solid var(--ama);
    transform: scale(105%);
    cursor: pointer;
    background-color: var(--ama);

}

.boton{

    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    color: var(--blan);
    text-decoration: none;
    background-color: var(--rojo);
    border-radius: 5px;
    transition: all 0.3s ease-in;

}

.boton:hover{

    transform: scale(110%);
    background-color: var(--ama);

}

#cont-experiencia{

    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: space-between;
    margin: 32px 0;
    border-radius: 5px;
    border: 1px solid darkgray;
    background-color: var(--blan);
    height: 600px;
    width: 95%;

}

#experiencia-text{

    display: flex;
    flex-direction: column;
    align-items: center;
    text-align: center;
    height: auto;
    width: 40%;
    margin-left: 32px; 
    font-size: 0.9rem;

}

#experiencia-img{

    height: 100%;
    width: 50%;
    background-image: url(../images/Multiservicios\ Experiencia.jpg);
    background-position: center;
    background-size: cover;

}

#testimonios{

    margin-top: 20px;
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: space-around;
    height: 500px;
    width: 100%;

}

#title-testi{

    margin-top: 3rem;
    font-size: 1.6rem;

}

#testi-info{

    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    height: 90%;
    width: 25%;
    color: var(--blan);
    background-color: var(--rojo-super-shade);
    border-radius: 5px;
    font-size: 0.95em;

}

#testi-info h4{

    font-size: 1.2em;

}

#testi-info-text{

    text-align: center;
    font-size: 0.9rem;
    width: 85%;

}

.testi{

    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    text-align: center;
    height: 90%;
    width: 20%;
    background: var(--blan);
    border: 1px solid darkgray;
    border-radius: 5px;
    view-timeline-name: --image;
    view-timeline-axis: block;
    animation-timeline: --image;
    animation-name: muestra;
    animation-range: entry 25% cover 30%;
    animation-fill-mode: both;

}

.testi-img{

height: 20%;
width: 50%;
background-size: 45%;
background-position: center;
background-repeat: no-repeat;

}

.testi-text{

    display: flex;
    flex-direction: row;
    height: auto;
    color: rgb(66, 62, 62);
    font-family: "Poppins";
    font-weight: 600;
    width: 90%;
    font-size: 0.9em;

}

.testi-text i{

    color: var(--rojo);

}

.testi-user{

    font-size: 0.9rem;
    font-weight: 600;

}

.color-red{

    color: var(--rojo);
    font-weight: bolder;

}

.testi-franja{

    bottom: -1px;
    position: absolute;
    height: 10%;
    width: 100.6%;
    background-color: var(--rojo);
    border-bottom-left-radius: 5px;
    border-bottom-right-radius: 5px;
    
}

#contacto{

    margin-top: 80px;
    display: flex;
    flex-direction: row;
    border-top: 20px solid var(--rojo);
    height: 650px;
    width: 100%;
    background-size: cover;
    background-repeat: no-repeat;
    background-position: left;
    font-size: 0.8rem;

}

#contacto form{

    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    text-align: center;
    margin-left: 120px;
    width: 90%;
    height: 100%;
    color: var(--blan);
    font-size: 1.3rem;
}

#cont-form{

    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    text-align: center;
    height: 100%;
    width: 55%;
    overflow: hidden;
    background-color: var(--rojo);
    clip-path: polygon(20% 0%, 100% 0, 100% 100%, 0% 100%);

}

::placeholder{

    color: rgb(200, 200, 200);

}

.imp{

    text-indent: 10px;
    margin-top: 20px;
    width: 60%;
    height: 30px;
    border-radius: 5px;
    border: 2px solid var(--rojo-shade);
    background-color: var(--rojo-super-shade);
    resize: none;
    color: var(--blan);
    font-family: "Poppins";
    font-size: 0.7em;

}

#btn-form{

    margin-top: 20px;
    border-radius: 5px;
    height: 50px;
    width: 40%;
    background-color: var(--blan);
    border: 2px solid var(--blan);
    font-family: "Poppins";
    font-size: 0.7em;
    transition: all 0.3s ease-in-out;
}

#btn-form:hover{

    cursor: pointer;
    transform: scale(110%);
    background-color: var(--ama);
    border-color: var(--ama);
    color: var(--blan);

}

#o{

    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    height: 100%;
    width: 2%;
    color: var(--blan);
    font-size: 2em;

}

#img-contacto{

    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    text-align: center;
    background-size: 100%;
    height: 100%;
    width: 43%;
    color: var(--blan);
    font-size: 2em;
    margin-left: 20px;
}

#contacto-boton{

    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
    border-radius: 5px;
    color: var(--blan);
    text-decoration: none;
    height: 90px;
    width: 60%;
    background-color: var(--rojo);
    gap:2%;
    font-size: 0.8em;
    transition: 0.3s all ease-in-out;

}

#contacto-boton:hover{

    background-color: rgb(160, 236, 45);
    transform: scale(110%);

}

.cliente-img{

    height: 200px;
    width: 200px;
    background-size: 100%;
    background-repeat: no-repeat;
    background-position: center;
    filter: brightness(150%);
    filter: grayscale(100%);

}


@keyframes muestra{

    from{
            opacity: 0;
            scale: 25%;
    }

    to{

        opacity: 1;
        scale: 100%;

    }

}

@media (max-width:1000px) {

    #Mant-somos, #Mant-servicios{

        font-size: 0.8rem;
        
    }

}


@media (max-width:768px) {

body{

    font-size: 0.8em;

}

#mini-logo{

 left: 10px;
 top: 20px;
 width: 150px;

}

#cont-texto-anim{

    font-size: 1.1em;

}

#texto-anim-sub{

    text-align: center;
        
}

#boton-texto-anim{

    font-size: 0.7rem;

}

.boton-slider{

    width: 40px;
    height: 40px;
    bottom: 100px;

}

#servicios, #Mant{

    height: auto;

}

#servicios{

    width: 95%;
    margin-bottom: 1rem;

}

#Mant-cont{

    flex-direction: column;
    height: auto;

}

#Mant{

    height: auto;

}

.Mant-text{

    font-size: 0.8rem;

}

#Mant-somos, #Mant-servicios{

    width: 100%;

}

#Mant-servicios{

    margin-top: 20px;

}

#title-testi{

    margin-top: 70px;
    text-align: center;
    font-size: 1.2rem;

}

#testimonios{

    margin-top: 60px;
    flex-direction: column-reverse;
    height: auto;
    gap: 2rem;

}

.testi{

    width: 70%;
    height: 260px;



}

.testi-img{

    background-size: 30%;

}

#testi-info{

    width: 90%;
    height: auto;
    padding: 1rem 0;
    
}

#contacto{

    height: auto;
    flex-direction: column;

}

#cont-experiencia{

    height: auto;
    flex-direction: column-reverse;
    gap: 12px;
    overflow: hidden;

}

#experiencia-text{

    margin: 0;
    height: auto;
    width: 90%;
    margin-bottom: 2rem;
    font-size: 0.8rem;

}

#experiencia-img{

    height: 300px;
    width: 100%;

}

#img-contacto{

margin-left: 0;
height: 400px;
width: 100%;
font-size: 1.3em;

}

#o{

    height: auto;
    width: 100%;

}

.imp{

    width: 85%;

}

#cont-form{

    clip-path: none;
    height: 650px;
    width: 100%;

}

#contacto form{

    font-size: 1.1rem;
    margin: 0;

}

#cont-form h3{

    font-size: 1.1rem;

}

.cliente-img{

    height: 50%;
    width: 20%;

}

}